package com.sd.business.entity.bom.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * bom规格价格配置编码
 */
@Getter
@AllArgsConstructor
public enum BomSpecPriceConfigCodeEnum {
    COLOUR_PRICE("colour_price", "颜色价格"),
    BASE_MATERIAL_PRICE("base_material_price", "基材价格"),
    CATEGORY_PRICE("category_price", "品类价格"),
    CHARACTER_PRICE("character_price", "特性价格"),
    CROP_CONFIG("crop_config", "裁切配置"),
    EMBOSSING_CONFIG("embossing_config", "压纹配置"),
    YOGA_MAT_DEPLETION_CONFIG("yoga_mat_depletion_config", "瑜伽垫损耗配置"),
    SKIP_MAT_DEPLETION_CONFIG("skip_mat_depletion_config", "跳绳垫损耗配置"),
    PROCESSING_FEE_CONFIG("processing_fee_config", "加工费配置"),
    COMPOUNDING_COST_CONFIG("compounding_cost_config", "复合费配置"),
    FREIGHT_CONFIG("freight_config", "运费配置");

    private static final Map<String, BomSpecPriceConfigCodeEnum> map = new HashMap<>();

    static {
        for (BomSpecPriceConfigCodeEnum bomSpecPriceConfigCodeEnum : values()) {
            map.put(bomSpecPriceConfigCodeEnum.getKey(), bomSpecPriceConfigCodeEnum);
        }
    }

    private final String key;
    private final String value;

    /**
     * 通过key获取名称
     */
    public static BomSpecPriceConfigCodeEnum getEnum(String key) {
        BomSpecPriceConfigCodeEnum bomSpecPriceConfigCodeEnum = map.get(key);
        if (bomSpecPriceConfigCodeEnum == null) {
            throw new ServiceException("未知bom规格价格配置编码：" + key);
        }
        return bomSpecPriceConfigCodeEnum;
    }

}
