package com.sd.business.entity.order.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 订单打样登记
 * </p>
 *
 * @author 
 * @since 2023-12-19
 */
@Getter
@Setter
@TableName("order_proofing_registration")
public class OrderProofingRegistration extends BasePo {

    /**
     * 事业部id
     */
    @NotNull(message = "事业部id不能为空")
    private Long departmentId;

    /**
     * 订单id
     */
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 是否新废垫 1-是，0-否
     */
    private Boolean useNewBom;

    /**
     * 单价
     */
    @NotNull(message = "单价不能为空")
    private BigDecimal unitPrice;

    /**
     * 定制加工类型
     */
    @NotNull(message = "定制加工类型不能为空")
    private String customProcessingType;

    /**
     * 加工次数
     */
    @NotNull(message = "加工次数不能为空")
    @DecimalMin(value = "0.01", message = "加工次数必须大于0")
    private BigDecimal processingNum;

    /**
     * 定制加工费
     */
    @NotNull(message = "定制加工费不能为空")
    private BigDecimal customProcessingFee;

    /**
     * 操作人
     */
    private String operator;

}
